Subject: Re: Issue 165, was: Issue 163, was: Meaning of invalid but well-formed dates

From: Julian Reschke <[email-masked]>
Date: Fri, 02 Apr 2010 20:00:49 +0200

On 19.05.2009 15:24, Julian Reschke wrote:
> ...
>> But, what does "are encouraged to" mean? Either it should be "are
>> RECOMMENDED to" (which means "SHOULD") or the statement should go. The
>> specification should not use non-RFC2119 language when making
>> recommendations.
>>
>> And, if it is to be "SHOULD", then the grammar should change to allow the
>> other cases (probably by adding an obs-rfc5322-date alternative that
>> references RFC 5322's date). Elsewhere in the document, the grammar
>> reflects
>> what parsers SHOULD accept, and the prose further restricts what
>> implementations may generate.
>> ...
>
> I have opened a separate issue for this question
> (<http://trac.tools.ietf.org/wg/httpbis/trac/ticket/165>).
> ...

The simplest way to fix this seems to add a SHOULD level requirement in 
Appendix A, which already defines tolerant date handling. Like this:

     o  Although all date formats are specified to be case-sensitive,
        recipients SHOULD match day, week and timezone names case-
        insensitively.

See 
<http://trac.tools.ietf.org/wg/httpbis/trac/attachment/ticket/165/i165.diff>

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Wed, 07 Apr 2010 13:47:23 +0200

> <http://trac.tools.ietf.org/wg/httpbis/trac/attachment/ticket/165/i165.diff>

Change applied with 
<http://trac.tools.ietf.org/wg/httpbis/trac/changeset/807>.

Best regards, Julian